SDL_Unsupported(3)

NAME
SDL_Unsupported - A macro to standardize error reporting on unsupported operations.

HEADER FILE
Defined in SDL3/SDL_error.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_Unsupported()               SDL_SetError(Thatoperationisnotsupported")

DESCRIPTION
This simply calls SDL_SetError () with a standardized error string, for convenience, consistency, and clarity.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.